#!/bin/sh

(
git clone https://codeberg.org/canoeboot/cbmk canoetest
cd canoetest
git reset --hard 8d83340da4853fe1d1e9a5f89785bbbd6dda6d23
for i in config/git/*; do
	./update trees -f ${i##*/} || exit 1 # all must be downloaded, for a reliable test
done

startdate=$(date +%s)
./build roms all
enddate=$(date +%s)

printf "\n"
endtime=$(( enddate - startdate ))

printf "time: %d seconds\n" "${endtime}"
)
